# Deprecated API

## Contents

- Terminally Deprecated
- Classes
- Constructors

Terminally Deprecated Elements
Element
Description
commoble.databuddy.data.KeyedCodecJsonDataManager
To be removed in the next version of Minecraft. CodecJsonDataManager will be refactored to be like this class (allowing non-ResourceLocation keys)
commoble.databuddy.datagen.SimpleModel(ResourceLocation, Map<String, ResourceLocation>)
Use the main constructor or `SimpleModel.create(ResourceLocation)`

Deprecated Classes
Class
Description
commoble.databuddy.data.KeyedCodecJsonDataManager
To be removed in the next version of Minecraft. CodecJsonDataManager will be refactored to be like this class (allowing non-ResourceLocation keys)

Deprecated Constructors
Constructor
Description
commoble.databuddy.datagen.SimpleModel(ResourceLocation, Map<String, ResourceLocation>)
Use the main constructor or `SimpleModel.create(ResourceLocation)`